"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parseCmyk_1 = require("./parseCmyk");
var utils_1 = require("./utils");
function cmykToRgb(cmyk) {
    cmyk = typeof cmyk === 'string' ? parseCmyk_1.parseCmyk(cmyk) : cmyk;
    if (!cmyk) {
        return null;
    }
    // Convert the CMYK values to the range 0-1
    var _a = [cmyk.cyan / 100, cmyk.magenta / 100, cmyk.yellow / 100, cmyk.key / 100, cmyk.alpha], cyan = _a[0], magenta = _a[1], yellow = _a[2], key = _a[3], alpha = _a[4];
    // Calculate the rgb values
    var red = utils_1.normalizeDecNum(255 * (1 - cyan) * (1 - key));
    var green = utils_1.normalizeDecNum(255 * (1 - magenta) * (1 - key));
    var blue = utils_1.normalizeDecNum(255 * (1 - yellow) * (1 - key));
    return {
        alpha: typeof alpha === 'undefined' ? 1 : alpha,
        blue: blue,
        green: green,
        red: red
    };
}
exports.cmykToRgb = cmykToRgb;
//# sourceMappingURL=cmykToRgb.js.map