"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parseHsl_1 = require("./parseHsl");
var utils_1 = require("./utils");
function isValidHsl(value) {
    var hsl = typeof value === 'string' ? parseHsl_1.parseHsl(value) : value;
    if (!hsl) {
        return false;
    }
    var isPercentage = utils_1.isBetween(0, 100);
    return utils_1.isBetween(0, 360)(hsl.hue) && isPercentage(hsl.lum) && isPercentage(hsl.sat);
}
exports.isValidHsl = isValidHsl;
//# sourceMappingURL=isValidHsl.js.map