"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parseHsv_1 = require("./parseHsv");
var utils_1 = require("./utils");
function isValidHsv(value) {
    var normalizedValue = typeof value === 'string' ? parseHsv_1.parseHsv(value) : value;
    if (!normalizedValue) {
        return false;
    }
    var isPercentage = utils_1.isBetween(0, 100);
    return utils_1.isBetween(0, 360)(normalizedValue.hue) && isPercentage(normalizedValue.val) && isPercentage(normalizedValue.sat);
}
exports.isValidHsv = isValidHsv;
//# sourceMappingURL=isValidHsv.js.map