"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parseRgb_1 = require("./parseRgb");
var utils_1 = require("./utils");
function isValidRgb(value) {
    var rgb = typeof value === 'string' ? parseRgb_1.parseRgb(value) : value;
    // Handle null values.
    if (!rgb) {
        return false;
    }
    var isInAlphaRange = utils_1.isBetween(0, 1);
    if (typeof rgb.alpha !== 'undefined' && !isInAlphaRange(rgb.alpha)) {
        return false;
    }
    var isInRange = utils_1.isBetween(0, 255);
    var red = rgb.red, green = rgb.green, blue = rgb.blue;
    return isInRange(red) && isInRange(green) && isInRange(blue);
}
exports.isValidRgb = isValidRgb;
//# sourceMappingURL=isValidRgb.js.map