"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parseRgb_1 = require("./parseRgb");
var utils_1 = require("./utils");
function rgbToHex(rgb) {
    if (typeof rgb === 'string') {
        rgb = parseRgb_1.parseRgb(rgb);
    }
    if (!rgb) {
        return null;
    }
    var _a = [
        utils_1.decNumToHex(rgb.red),
        utils_1.decNumToHex(rgb.green),
        utils_1.decNumToHex(rgb.blue),
        rgb.alpha ? utils_1.decNumToHex(rgb.alpha * 255) : 'ff'
    ], rr = _a[0], gg = _a[1], bb = _a[2], aa = _a[3];
    return {
        alpha: aa,
        blue: bb,
        green: gg,
        red: rr
    };
}
exports.rgbToHex = rgbToHex;
;
//# sourceMappingURL=rgbToHex.js.map