"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var hexToRgb_1 = require("./hexToRgb");
var hslToRgb_1 = require("./hslToRgb");
var hsvToRgb_1 = require("./hsvToRgb");
var parseCmyk_1 = require("./parseCmyk");
var rgbToCmyk_1 = require("./rgbToCmyk");
var whichModel_1 = require("./whichModel");
function toCmyk(color) {
    var model = whichModel_1.whichModel(color);
    if (model === 'hex') {
        return rgbToCmyk_1.rgbToCmyk(hexToRgb_1.hexToRgb(color));
    }
    if (model === 'hsl') {
        return rgbToCmyk_1.rgbToCmyk(hslToRgb_1.hslToRgb(color));
    }
    if (model === 'hsv') {
        return rgbToCmyk_1.rgbToCmyk(hsvToRgb_1.hsvToRgb(color));
    }
    if (model === 'rgb') {
        return rgbToCmyk_1.rgbToCmyk(color);
    }
    if (model === 'cmyk' && typeof color === 'string') {
        return parseCmyk_1.parseCmyk(color);
    }
    return null;
}
exports.toCmyk = toCmyk;
//# sourceMappingURL=toCmyk.js.map