"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var cmykToRgb_1 = require("./cmykToRgb");
var hslToRgb_1 = require("./hslToRgb");
var hsvToRgb_1 = require("./hsvToRgb");
var parseHex_1 = require("./parseHex");
var rgbToHex_1 = require("./rgbToHex");
var whichModel_1 = require("./whichModel");
function toHex(color) {
    var model = whichModel_1.whichModel(color);
    if (model === 'rgb') {
        return rgbToHex_1.rgbToHex(color);
    }
    if (model === 'hsl') {
        return rgbToHex_1.rgbToHex(hslToRgb_1.hslToRgb(color));
    }
    if (model === 'hsv') {
        return rgbToHex_1.rgbToHex(hsvToRgb_1.hsvToRgb(color));
    }
    if (model === 'cmyk') {
        return rgbToHex_1.rgbToHex(cmykToRgb_1.cmykToRgb(color));
    }
    if (model === 'hex' && typeof color === 'string') {
        return parseHex_1.parseHex(color);
    }
    return null;
}
exports.toHex = toHex;
//# sourceMappingURL=toHex.js.map