"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var cmykToRgb_1 = require("./cmykToRgb");
var hexToRgb_1 = require("./hexToRgb");
var hsvToRgb_1 = require("./hsvToRgb");
var parseHsl_1 = require("./parseHsl");
var rgbToHsl_1 = require("./rgbToHsl");
var whichModel_1 = require("./whichModel");
function toHsl(color) {
    var model = whichModel_1.whichModel(color);
    if (model === 'hex') {
        return rgbToHsl_1.rgbToHsl(hexToRgb_1.hexToRgb(color));
    }
    if (model === 'rgb') {
        return rgbToHsl_1.rgbToHsl(color);
    }
    if (model === 'hsv') {
        return rgbToHsl_1.rgbToHsl(hsvToRgb_1.hsvToRgb(color));
    }
    if (model === 'cmyk') {
        return rgbToHsl_1.rgbToHsl(cmykToRgb_1.cmykToRgb(color));
    }
    if (model === 'hsl' && typeof color === 'string') {
        return parseHsl_1.parseHsl(color);
    }
    return null;
}
exports.toHsl = toHsl;
//# sourceMappingURL=toHsl.js.map