"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var cmykToRgb_1 = require("./cmykToRgb");
var hexToRgb_1 = require("./hexToRgb");
var hslToRgb_1 = require("./hslToRgb");
var parseHsv_1 = require("./parseHsv");
var rgbToHsv_1 = require("./rgbToHsv");
var whichModel_1 = require("./whichModel");
function toHsv(color) {
    var model = whichModel_1.whichModel(color);
    if (model === 'hex') {
        return rgbToHsv_1.rgbToHsv(hexToRgb_1.hexToRgb(color));
    }
    if (model === 'rgb') {
        return rgbToHsv_1.rgbToHsv(color);
    }
    if (model === 'cmyk') {
        return rgbToHsv_1.rgbToHsv(cmykToRgb_1.cmykToRgb(color));
    }
    if (model === 'hsl') {
        return rgbToHsv_1.rgbToHsv(hslToRgb_1.hslToRgb(color));
    }
    if (model === 'hsv' && typeof color === 'string') {
        return parseHsv_1.parseHsv(color);
    }
    return null;
}
exports.toHsv = toHsv;
//# sourceMappingURL=toHsv.js.map