"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var cmykToRgb_1 = require("./cmykToRgb");
var hexToRgb_1 = require("./hexToRgb");
var hslToRgb_1 = require("./hslToRgb");
var hsvToRgb_1 = require("./hsvToRgb");
var parseRgb_1 = require("./parseRgb");
var whichModel_1 = require("./whichModel");
function toRgb(color) {
    var model = whichModel_1.whichModel(color);
    if (model === 'hex') {
        return hexToRgb_1.hexToRgb(color);
    }
    if (model === 'hsl') {
        return hslToRgb_1.hslToRgb(color);
    }
    if (model === 'hsv') {
        return hsvToRgb_1.hsvToRgb(color);
    }
    if (model === 'cmyk') {
        return cmykToRgb_1.cmykToRgb(color);
    }
    if (model === 'rgb' && typeof color === 'string') {
        return parseRgb_1.parseRgb(color);
    }
    return null;
}
exports.toRgb = toRgb;
//# sourceMappingURL=toRgb.js.map