"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ColorModel;
(function (ColorModel) {
    ColorModel["UNKNOWN"] = "";
    ColorModel["RGB"] = "rgb";
    ColorModel["HEX"] = "hex";
    ColorModel["HSL"] = "hsl";
    ColorModel["HSV"] = "hsv";
    ColorModel["CMYK"] = "cmyk";
})(ColorModel || (ColorModel = {}));
function whichModel(color) {
    if (!color) {
        return ColorModel.UNKNOWN;
    }
    if (color.slice(0, 1) === '#' && (color.length === 4 || color.length === 7)) {
        return ColorModel.HEX;
    }
    if (color.slice(0, 1) === '#' && (color.length === 6 || color.length === 9)) {
        return ColorModel.HEX;
    }
    if (color.slice(0, 3).toUpperCase() === 'RGB') {
        return ColorModel.RGB;
    }
    if (color.slice(0, 3).toUpperCase() === 'HSL') {
        return ColorModel.HSL;
    }
    if (color.slice(0, 3).toUpperCase() === 'HSV') {
        return ColorModel.HSV;
    }
    if (color.slice(0, 4).toUpperCase() === 'CMYK') {
        return ColorModel.CMYK;
    }
    return ColorModel.UNKNOWN;
}
exports.whichModel = whichModel;
//# sourceMappingURL=whichModel.js.map